# $Revision: 1.38 $, $Date: 2009/09/16 13:40:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MP3
%define		pnam	Info
Summary:	MP3::Info - manipulate / fetch info from MP3 audio files
Summary(pl.UTF-8):	MP3::Info - odczyt i operowanie na informacjach z plików dźwiękowych MP3
Name:		perl-MP3-Info
Version:	1.24
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MP3/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fb4bcc43764e3b46c3a7c74b50ed7a44
URL:		http://search.cpan.org/dist/MP3-Info/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-MPEG-MP3Info
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MP3::Info Perl module fetches and manipulates info from MP3 audio
files.

%description -l pl.UTF-8
Moduł Perla MP3::Info wyciąga informacje z plików MP3 i umożliwia
operowanie na nich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MP3
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MP3-Info.spec,v $
Revision 1.38  2009/09/16 13:40:34  amateja
- updated to 1.24

Revision 1.37  2007/12/24 02:39:44  zbyniu
- up to 1.23

Revision 1.36  2007-04-01 09:56:53  qboosh
- generic URL
- added Changes to doc

Revision 1.35  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.33  2006/04/07 21:12:41  agaran
- up to 1.20, rel1 builds here

Revision 1.32  2005/05/18 22:45:17  czucz
- updated to 1.13

Revision 1.31  2005/01/09 14:54:02  adamg
- updated to 1.10

Revision 1.30  2004/11/03 22:30:31  paladine
- formatting

Revision 1.29  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.28  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.27  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.25  2004/04/24 14:41:24  ankry
- summary / desc fix
- rel. 2 for Ac

Revision 1.24  2004/04/23 18:22:27  ankry
- tests added, license fix

Revision 1.23  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.22  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.21  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/13 00:03:08  ankry
- merge from RA-branch: updated to 1.02

Revision 1.16  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:35:57  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/07/18 13:34:06  ankry
- translations, cleaning
- new %%doc
- added examples
- added %%{perl_sitelib}/MPEG, %%{perl_sitelib}/MP3
- release 2

Revision 1.12  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/03/03 12:18:06  migo
- up to 1.01

Revision 1.9  2002/02/25 10:33:06  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:18:45  depesz
automatic: Source location unified, Relase Up

Revision 1.6  2002/02/10 15:29:40  depesz
adapterized

Revision 1.5  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.3  2001/04/17 12:12:13  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.2  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/03/28 18:41:13  zagrodzki
- initial release
